d.out.file(1)

NAME
d.out.file - Saves active display monitor to graphics file in home directory

KEYWORDS
display, export

SYNOPSIS
d.out.file
d.out.file help
d.out.file [-tb] output=string [res=integer] format=string [compression=string] [quality=string]

  Flags:

-t  Transparent background

-b  Set background color to black (white default)

  Parameters:

output=string
    Name of output file (do NOT add extension)

res=integer
    Resolution of output file (single=1, double=2, quad=4) Default: 1

format=string
    Graphics file format Options: png,ppm,tif,jpg,bmp Default: png

compression=string
    Compression for PNG files (0=none, 1=fastest, 9=most) Options: 0,1,9 Default: 0

quality=string
    Size/quality for JPEG files (10=smallest/worst, 100=largest/best) Default: 75

DESCRIPTION
d.out.file - Uses d.save, the GRASS PNG driver, and gdal_translate to export the currently selected display monitor to a graphics file of several formats. Screen resolution can be set prior to export. PNG and PPM formats are supported directly by the GRASS PNG driver, along with two compression levels for PNG files TIFF, JPEG, and BMP formats are supported by using gdal_translate on PPM format files produced by the GRASS PNG driver. Different levels of compression/quality are supported for JPEG files (integer values from 10-100 are accepted. Graphic files are exported to the user's home directory by default, but different paths may be specified in the output field.
(GRASS Shell Script)

SEE ALSO
d.redraw, PNG driver,

AUTHOR
Michael Barton, Arizona State University

Last changed: $Date: 2005/09/16 01:02:47 $

Full index